Get project metrics
curl --request GET \
--url https://api.brimble.io/core/v1/projects/stats/{projectId} \
--header 'x-brimble-key: <api-key>'import requests
url = "https://api.brimble.io/core/v1/projects/stats/{projectId}"
headers = {"x-brimble-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-brimble-key': '<api-key>'}};
fetch('https://api.brimble.io/core/v1/projects/stats/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Project observability metrics fetched",
"data": {
"supported": true,
"projectId": "<string>",
"serviceType": "<string>",
"range": {
"from": "<string>",
"to": "<string>",
"step": "<string>"
},
"live": true,
"summary": {
"cpu": {
"value": 123,
"delta": 123
},
"memory": {
"value": 123,
"delta": 123
},
"network": {
"value": 123,
"delta": 123
},
"disk": {
"value": 123,
"delta": 123
},
"oomKills": {
"value": 123,
"delta": 123
},
"requestsPerSecond": {
"value": 123,
"delta": 123
},
"errorRate": {
"value": 123,
"delta": 123
},
"averageResponseTimeMs": {
"value": 123,
"delta": 123
},
"averageResponseSizeBytes": {
"value": 123,
"delta": 123
},
"responseTime": {
"p50": {
"value": 123,
"delta": 123
},
"p90": {
"value": 123,
"delta": 123
},
"p95": {
"value": 123,
"delta": 123
},
"p99": {
"value": 123,
"delta": 123
},
"avg": {
"value": 123,
"delta": 123
}
}
},
"charts": {
"hostMetrics": {
"cpu": {
"name": "<string>",
"points": [
{
"t": 123,
"v": 123
}
]
},
"memory": {
"name": "<string>",
"points": [
{
"t": 123,
"v": 123
}
]
},
"network": {
"name": "<string>",
"points": [
{
"t": 123,
"v": 123
}
]
}
},
"disk": {
"name": "<string>",
"points": [
{
"t": 123,
"v": 123
}
]
},
"oomKills": {
"name": "<string>",
"points": [
{
"t": 123,
"v": 123
}
]
},
"requests": {
"requestsPerSecond": {
"name": "<string>",
"points": [
{
"t": 123,
"v": 123
}
]
},
"errorRate": {
"name": "<string>",
"points": [
{
"t": 123,
"v": 123
}
]
},
"averageResponseTimeMs": {
"name": "<string>",
"points": [
{
"t": 123,
"v": 123
}
]
},
"averageResponseSizeBytes": {
"name": "<string>",
"points": [
{
"t": 123,
"v": 123
}
]
},
"successVsErrors": [
{
"name": "<string>",
"points": [
{
"t": 123,
"v": 123
}
]
}
],
"responseTimeP95Ms": {
"name": "<string>",
"points": [
{
"t": 123,
"v": 123
}
]
},
"averageRequestSizeBytes": {
"name": "<string>",
"points": [
{
"t": 123,
"v": 123
}
]
}
},
"responseTime": {
"p50": {
"name": "<string>",
"points": [
{
"t": 123,
"v": 123
}
]
},
"p90": {
"name": "<string>",
"points": [
{
"t": 123,
"v": 123
}
]
},
"p95": {
"name": "<string>",
"points": [
{
"t": 123,
"v": 123
}
]
},
"p99": {
"name": "<string>",
"points": [
{
"t": 123,
"v": 123
}
]
},
"avg": {
"name": "<string>",
"points": [
{
"t": 123,
"v": 123
}
]
}
}
},
"workerExecution": {
"totalRuns": 123,
"pending": 123,
"running": 123,
"complete": 123,
"failed": 123,
"lost": 123,
"successRate": 123,
"avgDurationMs": 123,
"p95DurationMs": 123
}
}
}{
"errors": [
{
"type": "field",
"value": "<unknown>",
"msg": "Invalid value",
"path": "name",
"location": "body"
}
]
}{
"message": "Project not found",
"data": {}
}{
"message": "Project not found",
"data": {}
}{
"message": "Project not found",
"data": {}
}{
"message": "Project not found",
"data": {}
}Projects
Get project metrics
API key scope: project.read
Team role permission: project.read
GET
/
v1
/
projects
/
stats
/
{projectId}
Get project metrics
Authorizations
ApiKeyAuthBearerAuth
API key created in the dashboard under Settings → API keys. Each key carries permission scopes; every endpoint lists the scope it needs.
Path Parameters
Pattern:
^[a-fA-F0-9]{24}$Query Parameters
From must be an ISO8601 timestamp
To must be an ISO8601 timestamp
StartDate must be an ISO8601 timestamp
EndDate must be an ISO8601 timestamp
Step must be a positive integer (seconds)
Required range:
1 <= x <= 60HoursAgo must be greater than 0
Last modified on October 10, 2026
Was this page helpful?